/* CSS styling for Haunted Forest / Babylon by Dennis R. Horn  2017-10-24 */ 

html, body {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    /*overflow: hidden;
    position: fixed;
    touch-action: none;
    -ms-touch-action: none;*/
}

body {
    background-color: #404040;
}

#renderCanvas {
    width: 100%;
    height: 100%;
	z-index: 0;
}

#header {
    width: 100%;
    height: 42px;
	background-color: transparent;
	position: fixed;
	top: 0;
	left: 0;
	padding: 10px;
	z-index: 10;
}

#header img {
	/*width: 32px;
	height: 32px;*/
	margin-right: 20px;
	padding-bottom: 8px;
}

#loadingScreen {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	overflow-y: auto;
	display: block;/**/
	margin: 0;
	/*padding: 1em 2em;*/
	background-color: #ffaa66; /* #ffaa66 #f7bc88*/
	color: #400000;
	font-family: verdana, helvetica, arial, sans-serif;
	font-size: 1em;
	z-index: 20;
	text-align: left;
}

#loadingScreenContent{
    max-width: 90vw;
	margin: 2em;
	font-size: 1.25em;
	/*border: 4px solid red;*/
}

#loadingScreenButtonContainer{
    display: flex;
    width: 100%;
    justify-content : center;
}
#closeLoadingScreenButton {
    /*align-self: center;*/
    
    color:#400000;
	background-color: #ffe0c0;  /* between #f7bc88 #f7e0d0;*/
	border: 0.1em solid #806000;
	border-radius: 1em;
	font-size: 1.5em;
	letter-spacing: 0.1em;
	margin-left: auto;
	margin-right: auto;
	padding: 1em;
}

/*was named settings - renamed settingsScreen */
/* kept in for older pages */
#settings {
	position: absolute;
	top: 48px;
	left: 0px;
	width: 98%;
	height: 75%;/**/
	overflow: auto;
	display: none;/**/
	padding: 10px;
	background-color: #f7bc88;
	z-index: 20;
}

#settings div{
	width: 95%;
	display:-webkit-flex;
    display:flex;
    -webkit-flex-direction:row;
	flex-direction:row;
    -webkit-align-items:center;
    align-items:center;
    -webkit-justify-content:center;
    justify-content:center;
}

#settings.p {
	margin-top: 4px;
	margin-bottom: 4px;
}

#settings.span {
	display:inline-block;
}

#settingsScreen {
	position: fixed;
	top: 48px;
	left: 0px;
	width: 96vw;
	height: 95vh;/**/
	overflow: auto;
	display: none;/**/
    padding: 1em;
	background-color: #ffaa66; /* #ffaa66 #f7bc88*/
	font-family: verdana, helvetica, arial, sans-serif;
	font-size: 1.0em;	
	z-index: 20;
}

#settingsScreen div{
	width: 95%;
	display:-webkit-flex;
    display:flex;
    -webkit-flex-direction:row;
	flex-direction:row;
    -webkit-align-items:center;
    align-items:center;
    -webkit-justify-content:center;
    justify-content:center;
    flex-wrap: wrap;

}

#settingsScreen.p {
	margin-top: 2px;
	margin-bottom: 2px;
}

#settingsScreen.span {
	display:inline-block;

}

.settingsButton {
    color: #400000;
	background-color: #ffe0c0; /* #f0e0e0  #f7e0d0*/
	/*border: 2px solid #a00000;*/
	border-style: 4px outset #808000;
	border-radius: 0.2em;
	letter-spacing: 0.1em;
	margin: 0.5vw 1vw; /*2px 8px;*/
	/*margin-right: 12px;*/
	padding: 6px 6px;
	font-size: 1.2em;
}

#levelDisplay {
	margin-left:10pt;
	font-size:14pt;
	font-family: verdana, helvetica, arial, sans-serif; 
	color:#dd8800; /*#cccccc;*/
	background-color:transparent;
	font-weight:bold;
	display:block;
	z-index: 10;
}

#levelCompleteDisplay {
	margin-left:10pt;
	font-size:14pt;
	font-family: verdana, helvetica, arial, sans-serif; 
	color:#dd8800; /*#cccccc;*/
	background-color:transparent;
	font-weight:bold;
	display:none;
	z-index: 20;
}

#pickInfoDisplay {
	margin-left:10pt;
	font-size:14pt;
	font-family: verdana, helvetica, arial, sans-serif; 
	color:#dd8800; /*#cccccc;*/
	background-color:transparent;
	font-weight:bold;
	display:block;
}

#info1 {
    position: absolute;
    top: 8px;
    left: 400px;
    font-size:12pt;
    color:gold;
    background-color:black;
    font-weight:bold;
    display: none;
    z-index: 50;
}

input[type="radio"] {
	width: 1.20em;
	height: 1.20em;
	top: 8px;
    display: inline-block;
}

label {
	font-size: 1.2em;
    display: inline-block;
	line-height: 1.5em;
}

#closeSettingsButton {
    -webkit-align-self: center;
    align-self: center;
    font-size: 1.2em;
	letter-spacing: 4px;
	margin: 8px;
	padding: 8px 24px;
	background-color: #f4e0d0;
	/*border: 2px solid #a00000;*/
	border-style: outset;
}

#resetButton {
    -webkit-align-self: center;
    align-self: center;
	letter-spacing: 4px;
	margin: 8px;
	padding: 8px 24px;
}

#helpScreen {
	position: absolute;
	left: 0;
	top: 0;
	width: 90vw;
	height: 90vh;
	overflow: auto;
	display: none;
	padding: 20px;
	background-color: #ffaa66; /* #ffaa66 #f7bc88*/
	z-index: 20;
}
.popupHeader{
   display: grid; 
   height: 3em;
   grid-template-columns: auto max-content;
   gap: 0.5em;
   padding: 0;
   align-items: center;
}

#zcloseHelpScreenButton {
    -webkit-align-self: center;
    align-self: center;
	background-color: #f4e0d0; /* #f0e0e0  #f7e0d0*/
	/*border: 2px solid #a00000;*/
	border-style: outset;
	letter-spacing: 8px;
	margin: 8px;
	margin-right: 12px;
	padding: 8px 24px;
}

#closeHelpScreenButton {
  	/*position: absolute;
  	top: 0.25em;
  	right: 0.1em;*/
	width: 3em;
	height: 3em;
	padding: 0px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
	background-color: transparent;
	/*background-color: white;*/
	background-image: url('images/close button_64.png'); /* relative to this css file*/
    outline:none;
}


#confirmScreen{
	position: absolute;
	left: 12vw;
	top: 12vh;
	width: 75vw;
	/*height: 75vh;*/
	color: #400000;
	font-size: 1.2em;
	overflow: auto;
	display: none;
	padding: 20px;
	background-color: #ff9933; /* #ffaa66 #f7bc88*/
	border: 4px solid #993300;
	z-index: 30;/*	
	display:-webkit-flex;
    display:flex;
    -webkit-flex-direction:row;
	flex-direction:row;
    -webkit-align-items:center;
    align-items:center; 
    -webkit-justify-content:space-between;
    justify-content:space-between; 
*/    
}

#confirmScreenMessage {
    padding-top: 1em;
    padding-bottom: 1em;
    background-color: #ffe0c0;
    border: 2px solid #806000;  
    border-radius: 2em;  
}
         
#closeConfirmScreenButton {
    -webkit-align-self: center;
    align-self: center;
	background-color: #ffe0c0; /* #f0e0e0  #f7e0d0*/
	/*border: 2px solid #a00000;*/
	/*border-style: outset;*/
	letter-spacing: 8px;
	margin: 8px;
	margin-right: 12px;
	padding: 8px 24px;
}

.dhButton {
	background-color: #f4e0d0; /* #f0e0e0  #f7e0d0*/
	/*border: 2px solid #a00000;*/
	border: 0.1em solid #806000;
	letter-spacing: 0.1em;
	margin: 8px;
	/*margin-right: 12px;*/
	padding: 8px 24px;
}


.flexcontjustify {
    display: flex;
    justify-content: space-between;
}

.flexcontspacearound {
    display: flex;
    justify-content: space-around;
}

.flexcontcenter {
    display: flex;
    justify-content: center;
}

.flexcontright {
    display: flex;
    justify-content: right;
}

.testflexitem {
    /*background: #e8e7e3;*/
    border: 2px solid red;
} 

/* ------------------------------------- */
.center {text-align: center;}
.right {text-align: right;}
.alignRight {margin-right: 10px;}

.text80 {font-size: 80%;}
.text90 {font-size: 90%;}
.text100 {font-size: 100%;}
.text120 {font-size: 120%;}
.text160 {font-size: 160%;}
.text200 {font-size: 200%;}
.text300 {font-size: 300%;}
.text400 {font-size: 400%;}

.red   	{color:#900000;}

.blockcenter{
    display: block;
    width: 100px;
    margin: auto;
	font-stretch: expanded;
}

/* ====================================
 ---- Blender Properties Panel ---- 
======================================== */

/*#blenderPropertiesPanel {*/
#bppPropertiesPanel {
	position: absolute;
	top: 0;
	right: 0;	
	width: 30%;
	height: 100%;
	display: block;
	background-color: #000000;
	color: white;
	padding: 0px 0px 0px 6px;
	z-index: 100;
	/*overflow: auto;*/
}

#bppPropertiesPanel hr{
	color: white;
}

#bppPropertiesPanel label{
	font-size: 0.8em;
}

#bppHeader {
	/*font-size: 0.9em;
	height: 2em;
	width: 2em;*/
	/*background-color: #000000;
	color: white;*/
	padding: 4px 0px 4px 6px; 
	border-bottom: 2px solid #aaaaaa;
	z-index: 101;	
}

#bppHeader:hover {
	cursor: pointer;
}

#bppToggleButton {
 	position: absolute;
	top: 0;
	right: 16px;
	font-size: 1.5em;
} 

#bppBody {
	position: relative;
	/*width: 100%;
	height: 90%;*/
	/* setting height causes scroll bars, textarea too large.*/
	/* not setting it causes small textarea. */
	font-size: 0.9em;
	background-color: #000000;
	color: white;
	overflow: auto;
}
#bppTabBar {
	padding: 4px 0px 0px 6px;
	border-bottom: 2px solid #aaaaaa;
}

/* border is unselected state */
#bppTabBar div {
	display: inline-block;
	padding: 2px 12px 0px 12px;
	border-radius: 6px 6px 0px 0px;
	border: 2px solid #aaaaaa;
	border-bottom: none;
}

#bppTabBar div:hover {
	cursor: pointer;
} 

#bppPanels {
 	position: relative;
 	width: 100%;
 	height: 100%;
}

#bppMaterialsPanel {
	/* working with and without position rules */
	position: absolute;
	top: 0;
	left: 0;
	width: 95%;
	height: 95%;	
	
	/*display: none;*/
}

#bppDiffuseSubPanel {
	display: block;
}

#spSelectedMaterial {
	font-size: 0.9em;
	color: #cccccc;
}

#bppSpecularSubPanel {
	display: none;
}

#bppLightingPanel {
	/* working with and without position rules */
	position: absolute;
	top: 0;
	left: 0;
	width: 95%;
	height: 95%;	
	
	display: none;
}

#bppAmbientSubPanel {
	display: none;
}

#bppLightsSubPanel {
	display: block;
}

#bppOutputPanel {
	position: absolute;
	top: 0;
	left: 0;
	width: 95%;
	height: 95%;
	
	background-color: #886688;
	border: 4px solid #aaaaaa;
	padding: 16px;
	margin-bottom: 8px;
	/*display: block;*/
}

#bppTextPanel {
	background-color: #886688;
	/*border: 4px solid #aa0000;*/
	height: 90%;
	margin: 0 16px 16px 16px;
	
	/*border: 4px solid red;*/
}

#bppTextOutput {
	height: 85%;
	width: 95%;
	background-color: white;
	color: black;
	font-size: 0.9em;
	/*margin-right: 0 12px 0 12px;*/
	padding: 12px;
}

#bppFileInOutPanel {
	/*border: 4px solid #aa0000;*/
	margin: 24px 0 0 24px;

}

.bppSubPanelHeader {
	position: relative;	
	background-color: #000000;
	color: white;
	padding: 4px 0px 4px 0px;
	border-bottom: 2px solid #aaaaaa;
	margin-bottom: 2px; 
}

.bppSubPanelHeader span {
	margin-left: 6px;
}

.bppSubPanelHeader:hover {
	cursor: pointer;
}

.bppSubPanelToggleButton {
 	position: absolute;
	top: 0;
	right: 16px;
	font-size: 1.5em;
	z-index: 200;
} 

.bppSubPanel {
	position: relative;
	display: block;
	padding: 6px 0px 6px 6px;
	border-bottom: 2px solid #aaaaaa;	
}
/* on initialize don't show */

.bppButton {
	background-color: #e8e0d0;  /* between #f7bc88 #f7e0d0;*/
	border: 3px outset #dddddd;
	letter-spacing: 0.10em;
	margin-left: 8px;
	padding: 1px 8px;
}

.bppButton:hover {
	cursor: pointer;
}

.bppButton2 {
	background-color: #e8e0d0;  /* between #f7bc88 #f7e0d0;*/
	border: 3px outset #dddddd;
	letter-spacing: 0.10em;
	margin-left: 12px;
	padding: 1px 8px;
}

.bppButton2:hover {
	cursor: pointer;
}

.bppButton3 {
	background-color: #e8e0d0;  /* between #f7bc88 #f7e0d0;*/
	border: 3px outset #dddddd;
	letter-spacing: 0.10em;
	margin-left: 24px;
	padding: 1px 8px;
}

.bppButton2:hover {
	cursor: pointer;
}
#btnCloseTextPanel {
 	margin-left: 5%;
}

#btnClearTextOutput {
 	margin-left: 5%;
}

.bppSlider {
  -webkit-appearance: none;
  width: 50%;
  height: 6px;
  background: #d3d3d3;
  outline: none;
  /*opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;*/
}
/*
.slider:hover {
  opacity: 1;
}
*/
.bppSlider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 20px;
  height: 20px;
  background: #8C4F80;
  cursor: pointer;
}

.bppSlider::-moz-range-thumb {
  width: 20px;
  height: 20px;
  background: #8C4F80;
  cursor: pointer;
} 

.spanblock1 {
	font-size: 1.20em;
	display: inline-block;
	margin-bottom: 0.2em;
}

.spanblock2 {
	font-size: 1.4em;
	display: inline-block;
}
/*
#bppDiffuseHeader {
	position: relative;	
	background-color: #000000;
	color: white;
	padding: 4px 0px 4px 0px;
	border-bottom: 2px solid #aaaaaa;
	margin-bottom: 2px; 
}


#bppDiffuseHeader:hover {
	cursor: pointer;
}

#bppDiffuseToggleButton {
 	position: absolute;
	top: 0;
	right: 16px;
	font-size: 1.5em;
	z-index: 200;
} 

#bppDiffusePanel {
	position: relative;
	display: block;
	padding: 6px 0px 6px 6px;
	border-bottom: 2px solid #aaaaaa;	
}

#bppSpecularHeader {
	position: relative;	
	background-color: #000000;
	color: white;
	padding: 4px 0px 4px 0px;
	border-bottom: 2px solid #aaaaaa;
	margin-bottom: 2px; 
}

#bppSpecularHeader:hover {
	cursor: pointer;
}

#bppSpecularToggleButton {
 	position: absolute;
	top: 0;
	right: 16px;
	font-size: 1.5em;
	z-index: 200;
} 

#bppSpecularPanel {
	position: relative;
	display: none;
	padding: 6px 0px 6px 6px;
	border-bottom: 2px solid #aaaaaa;	
}
*/

/* ------------------------------------- */






